from pydantic_settings import BaseSettings
from pathlib import Path

class Settings(BaseSettings):
    PROJECT_NAME: str = "Simple Todo Application"
    PROJECT_DESCRIPTION: str = "A simple todo application built with FastAPI"
    PROJECT_VERSION: str = "0.1.0"
    
    DB_DIR: Path = Path("/projects/simpletodoapplication-voecsa/storage/db")
    SQLALCHEMY_DATABASE_URL: str = f"sqlite:///{DB_DIR}/db.sqlite"
    
    class Config:
        case_sensitive = True

settings = Settings()